<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 468.1   Patch: 4                                                  |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Knowledgebase
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function AdminDoEditKnowledgebaseEntry
 * A function to edit a knowledgebase entry in the database 
 * @author Philipp Louis Esselbach
 */
function AdminDoEditKnowledgebaseEntry()
{
	global $database, $security, $system, $html, $ipaddr, $login_username, $preferences, $words_knowledgebase;
	$input_website = ( isset( $_POST[ 'input_website' ] ) ) ? $security -> checknum( $_POST[ 'input_website' ] ) : "" ;
	$input_category = ( isset( $_POST[ 'input_category' ] ) ) ? $security -> checknum( $_POST[ 'input_category' ] ) : "" ;
	$input_knowledgebase_question = ( isset( $_POST[ 'input_knowledgebase_question' ] ) ) ? $security -> checkvar( $_POST[ 'input_knowledgebase_question' ] ) : "" ;
	$input_knowledgebase_seo = ( isset( $_POST[ 'input_knowledgebase_seo' ] ) ) ? $security -> checkvar( $_POST[ 'input_knowledgebase_seo' ] ) : "" ;
	$input_knowledgebase_description = ( isset( $_POST[ 'input_knowledgebase_description' ] ) ) ? $security -> checkvar( $_POST[ 'input_knowledgebase_description' ] ) : "" ;
	$input_knowledgebase_keywords = ( isset( $_POST[ 'input_knowledgebase_keywords' ] ) ) ? $security -> checkvar( $_POST[ 'input_knowledgebase_keywords' ] ) : "" ;
	$input_knowledgebase_answer = ( isset( $_POST[ 'input_knowledgebase_answer' ] ) ) ? $security -> checkvar( $_POST[ 'input_knowledgebase_answer' ] ) : "" ;
	$input_knowledgebase_tags = ( isset( $_POST[ 'input_knowledgebase_tags' ] ) ) ? $security -> checkvar( $_POST[ 'input_knowledgebase_tags' ] ) : "" ;
	$input_html = ( isset( $_POST[ 'input_html' ] ) ) ? $security -> checknum( $_POST[ 'input_html' ] ) : "" ;
	$input_smilies = ( isset( $_POST[ 'input_smilies' ] ) ) ? $security -> checknum( $_POST[ 'input_smilies' ] ) : "" ;
	$input_blockcode = ( isset( $_POST[ 'input_blockcode' ] ) ) ? $security -> checknum( $_POST[ 'input_blockcode' ] ) : "" ;
	$input_allow_comments = ( isset( $_POST[ 'input_allow_comments' ] ) ) ? $security -> checknum( $_POST[ 'input_allow_comments' ] ) : "" ;
	$input_status = ( isset( $_POST[ 'input_status' ] ) ) ? $security -> checknum( $_POST[ 'input_status' ] ) : "" ;
	$input_password = ( isset( $_POST[ 'input_password' ] ) ) ? $security -> checkvar( $_POST[ 'input_password' ] ) : "" ;
	$input_fields = ( isset( $_POST[ 'input_fields' ] ) ) ? $security -> checkvararray( $_POST[ 'input_fields' ] ) : "" ;
	$input_dofileedit = ( isset( $_POST[ 'input_dofileedit' ] ) ) ? $security -> checknum( $_POST[ 'input_dofileedit' ] ) : "" ;
	$input_dopreview = ( isset( $_POST[ 'input_dopreview' ] ) ) ? $security -> checknum( $_POST[ 'input_dopreview' ] ) : "" ;
	$input_doupload = ( isset( $_POST[ 'input_doupload' ] ) ) ? $security -> checkvar( $_POST[ 'input_doupload' ] ) : "" ;
	$input_file_title = ( isset( $_POST[ 'input_file_title' ] ) ) ? $security -> checkvararray( $_POST[ 'input_file_title' ] ) : array() ;
	$input_file_description = ( isset( $_POST[ 'input_file_description' ] ) ) ? $security -> checkvararray( $_POST[ 'input_file_description' ] ) : array() ;
	$input_dofileremove = ( isset( $_POST[ 'input_dofileremove' ] ) ) ? $security -> checkvar( $_POST[ 'input_dofileremove' ] ) : "" ;
	$input_dofileedit = ( isset( $_POST[ 'input_dofileedit' ] ) ) ? $security -> checkvar( $_POST[ 'input_dofileedit' ] ) : "" ;
	$input_doeditfile = ( isset( $_POST[ 'input_doeditfile' ] ) ) ? $security -> checkvar( $_POST[ 'input_doeditfile' ] ) : "" ;
	$input_edittitle = ( isset( $_POST[ 'input_edittitle' ] ) ) ? $security -> checkvar( $_POST[ 'input_edittitle' ] ) : "" ;
	$input_editdescription = ( isset( $_POST[ 'input_editdescription' ] ) ) ? $security -> checkvar( $_POST[ 'input_editdescription' ] ) : "" ;
	$input_editid = ( isset( $_POST[ 'input_editid' ] ) ) ? $security -> checknum( $_POST[ 'input_editid' ] ) : "" ;
	$input_dopreview = ( isset( $_POST[ 'input_dopreview' ] ) ) ? $security -> checkvar( $_POST[ 'input_dopreview' ] ) : "" ;
	$input_dospellcheck = ( isset( $_POST[ 'input_dospellcheck' ] ) ) ? $security -> checkvar( $_POST[ 'input_dospellcheck' ] ) : "" ;
	$input_zid = ( isset( $_POST[ 'input_zid' ] ) ) ? $security -> checknum( $_POST[ 'input_zid' ] ) : "" ;
	$input_reason = ( isset( $_POST[ 'input_reason' ] ) ) ? $security -> checkvar( $_POST[ 'input_reason' ] ) : "" ;
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;
	session_start();
	
	if( ( $_SESSION[ 'knowledgebase_security_hash' ] != $input_security_hash ) and( $preferences[ 'website_subsessions_admin' ] ) )
	{
		$html -> login( $words_knowledgebase[ 'ERROR' ], $words_knowledgebase[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}
	
	$notice = "";
	
	if( !$input_website )
	{
		$input_website = 0;
	}
	
	if( $input_doupload )
	{
		$error = "";
		
		for( $a = 0; $a < count( $_FILES[ 'input_file' ][ 'name' ] ); $a++ )
		{
			$file_name = ( isset( $_FILES[ 'input_file' ][ 'name' ][ $a ] ) ) ? $security -> checkvar( strtolower( $_FILES[ 'input_file' ][ 'name' ][ $a ] ) ) : "" ;
			$tmp_name = ( isset( $_FILES[ 'input_file' ][ 'tmp_name' ][ $a ] ) ) ? $security -> checkvar( $_FILES[ 'input_file' ][ 'tmp_name' ][ $a ] ) : "" ;
			$file_size = ( isset( $_FILES[ 'input_file' ][ 'size' ][ $a ] ) ) ? $security -> checknum( $_FILES[ 'input_file' ][ 'size' ][ $a ] ) : "" ;
			$file_type = ( isset( $_FILES[ 'input_file' ][ 'type' ][ $a ] ) ) ? $security -> checkvar( $_FILES[ 'input_file' ][ 'type' ][ $a ] ) : "" ;
			
			if( $file_name )
			{
				$query = $database -> dbquery( "SELECT filetype_adminsize, filetype_extension FROM " . DB_PREFIX . "esselbach_ct_filetypes WHERE filetype_mime = '" . $database -> dbescape( $file_type ) . "'" );
				
				if( $database -> dbrows( $query ) )
				{
					list( $file_allowedsize, $file_extension ) = $database -> dbrow( $query );
					
					if( $file_size > $file_allowedsize )
					{
						$error = $words_knowledgebase[ 'FILE_TOO_LARGE' ] . " " . $file_allowedsize . " " . $words_knowledgebase[ 'BYTES' ];
					}
					
					if( !preg_match( "/" . $file_extension . "/i", $file_name ) )
					{
						$error = $words_knowledgebase[ 'FILETYPE_INVALID' ];
					}
				}
				else
				{
					$error = $words_knowledgebase[ 'FILETYPE_UNKNOWN' ];
				}
				
				if( !$tmp_name )
				{
					$error = $words_knowledgebase[ 'FILE_EMPTY' ];
				}
				
				if( !$error )
				{
					$file = @fopen( $tmp_name, "r" );
					
					if( $file )
					{
						$binary = fread( $file, filesize( $tmp_name ) );
						
						if( ( $file_type == "image/png" or $file_type == "image/pjpeg" or $file_type == "image/jpeg" or $file_type == "image/gif" ) and function_exists( "imagecreatefromstring" ) )
						{
							if( $preferences[ 'knowledgebase_image_width' ] )
							{
								$binary = $system -> resizeimage( $binary, $file_type, $preferences[ 'knowledgebase_image_width' ], $preferences[ 'knowledgebase_image_brandtext' ], $preferences[ 'knowledgebase_image_brandcolor' ] );
								$file_size = strlen( $binary );
							}
							
							$thumb_image = $system -> resizeimage( $binary, $file_type, $preferences[ 'knowledgebase_image_thumbwidth' ], "", "" );
							$thumb_size = strlen( $thumb_image );
							$thumb_image = $database -> dbescape( $thumb_image );
						}
						else
						{
							$thumb_image = "";
							$thumb_size = 0;
						}
						
						$binary = $database -> dbescape( $binary );
						fclose( $file );
						
						if( !$input_file_title[ $a ] )
						{
							$input_file_title[ $a ] = $file_name;
						}
						
						if( !$input_file_description[ $a ] )
						{
							$input_file_description[ $a ] = $words_knowledgebase[ 'NO_DESCRIPTION' ];
						}
						
						$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_knowledgebasefiles (knowledgebasefile_id, knowledgebasefile_author, knowledgebasefile_filename, knowledgebasefile_title, knowledgebasefile_description, knowledgebasefile_mime, knowledgebasefile_size, knowledgebasefile_binary, knowledgebasefile_thumbsize, knowledgebasefile_thumbimage, knowledgebasefile_inuse, knowledgebasefile_entry, knowledgebasefile_date, knowledgebasefile_views, knowledgebasefile_activity, knowledgebasefile_postip, knowledgebasefile_editip) VALUES (NULL, '" . $login_username . "', '" . $file_name . "', '" . $input_file_title[ $a ] . "', '" . $input_file_description[ $a ] . "', '" . $file_type . "', '" . $file_size . "', '" . $binary . "', '" . $thumb_size . "', '" . $thumb_image . "', '1', '" . $input_zid . "', now(), '0', now(), '" . $ipaddr . "', '" . $ipaddr . "')" );
						$notice = $words_knowledgebase[ 'UPLOAD_SUCCESSFULLY' ];
						$input_file_title[ $a ] = "";
						$input_file_description[ $a ] = "";
					}
				}
				else
				{
					$file_id = $a + 1;
					$notice = $words_knowledgebase[ 'FILE' ] . " #" . $file_id . ":<br />" . $error;
				}
			}
		}
	}
	
	if( $input_dofileremove )
	{
		$input_file = explode( "#", $input_dofileremove );
		$input_file = $security -> checknum( $input_file[ 1 ] );
		$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_knowledgebasefiles WHERE knowledgebasefile_author = '" . $login_username . "' AND knowledgebasefile_id = '" . $input_file . "'" );
		$notice = $words_knowledgebase[ 'FILE_REMOVED' ];
	}
	
	if( !$notice )
	{
		if( !$input_knowledgebase_question )
		{
			$notice = $words_knowledgebase[ 'KNOWLEDGEBASE_NO_QUESTION' ];
		}
		
		if( !$input_knowledgebase_answer )
		{
			$notice = $words_knowledgebase[ 'KNOWLEDGEBASE_NO_ANSWER' ];
		}
		
		if( ( $input_status == 3 ) and( !$input_password ) )
		{
			$notice = $words_knowledgebase[ 'NO_PASSWORD' ];
		}
	}
	
	if( $input_dofileedit )
	{
		$notice = "";
	}
	
	if( $input_doeditfile )
	{
		if( !$input_edittitle )
		{
			$query = dbquery( "SELECT knowledgebasefile_filename FROM " . DB_PREFIX . "esselbach_ct_knowledgebasefiles WHERE knowledgebasefile_id = '" . $input_editid . "'" );
			list( $input_edittitle ) = $database -> dbquery( $query );
			$input_edittitle = $database -> dbescape( $input_edittitle );
		}
		
		if( !$input_editdescription )
		{
			$input_editdescription = $words_knowledgebase[ 'NO_DESCRIPTION' ];
		}
		
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_knowledgebasefiles SET knowledgebasefile_title = '" . $input_edittitle . "', knowledgebasefile_description = '" . $input_editdescription . "', knowledgebasefile_editip = '" . $ipaddr . "' WHERE knowledgebasefile_author = '" . $login_username . "' AND knowledgebasefile_id = '" . $input_editid . "'" );
		$notice = $words_knowledgebase[ 'DESCRIPTION_CHANGED' ];
	}
	
	if( !$input_knowledgebase_description )
	{
		$input_knowledgebase_description = $system -> description( $input_knowledgebase_answer );
	}
	
	if( !$input_knowledgebase_keywords )
	{
		$input_knowledgebase_keywords = $system -> keywords( $input_knowledgebase_answer );
	}
	
	if( $input_dospellcheck )
	{
		if( $dictionary = @pspell_new( $preferences[ 'website_spellchecker' ] ) )
		{
			$words_array = explode( " ", $input_knowledgebase_answer );
			$input_page_spelling = "";
			$input_spell_errors = 0;
			
			foreach( $words_array as $word )
			{
				if( pspell_check( $dictionary, $word ) )
				{
					$input_page_spelling .= $word . " ";
				}
				else
				{
					$suggestions = implode( ", ", pspell_suggest( $dictionary, $word ) );
					( $suggestions ) ? $suggestions = $words_knowledgebase[ 'SUGGESTIONS' ] . ": " . $suggestions : $suggestions = $words_knowledgebase[ 'NO_SUGGESTIONS' ];
					$input_page_spelling .= "<span style=\"background-color: rgb(235, 15, 20); font-weight:bold;\" title=\"" . $suggestions . "\"><strong>" . $word . "</strong></span> ";
					$input_spell_errors++;
				}
			}
			
			$notice = $words_knowledgebase[ 'THE_SPELL_CHECKER_FOUND' ] . " " . $input_spell_errors . " " . $words_knowledgebase[ 'ERRORS' ] . ":<br /><br />" . $input_page_spelling;
		}
	}
	
	if( ( $notice ) or( $input_dopreview ) or( $input_dofileedit ) )
	{
		AdminEditKnowledgeBaseEntry( $input_zid, $notice );
	}
	else
	{
		if( $preferences[ 'knowledgebase_undo' ] )
		{
			if( !$input_reason )
			{
				$input_reason = $words_knowledgebase[ 'UNKNOWN' ];
			}
			
			$query = $database -> dbquery( "SELECT knowledgebase_author, knowledgebase_question, knowledgebase_seo, knowledgebase_rawanswer, knowledgebase_description, knowledgebase_keywords, knowledgebase_fields, knowledgebase_editadmin FROM " . DB_PREFIX . "esselbach_ct_knowledgebase WHERE knowledgebase_id = '" . $input_zid . "'" );
			list( $old_author, $old_question, $old_seo, $old_answer, $old_description, $old_keywords, $old_fields, $old_editadmin ) = $database -> dbrow( $query );
			$old_author = $database -> dbescape( $old_author );
			$old_question = $database -> dbescape( $old_question );
			$old_seo = $database -> dbescape( $old_seo );
			$old_answer = $database -> dbescape( $old_answer );
			$old_description = $database -> dbescape( $old_description );
			$old_keywords = $database -> dbescape( $old_keywords );
			$old_fields = $database -> dbescape( $old_fields );
			$old_editadmin = $database -> dbescape( $old_editadmin );
			$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_knowledgebaseundo (knowledgebaseundo_id, knowledgebaseundo_entry, knowledgebaseundo_author, knowledgebaseundo_question, knowledgebaseundo_seo, knowledgebaseundo_answer, knowledgebaseundo_description, knowledgebaseundo_keywords, knowledgebaseundo_fields, knowledgebaseundo_Date, knowledgebaseundo_editip, knowledgebaseundo_editadmin, knowledgebaseundo_editreason) VALUES (NULL, '" . $input_zid . "', '" . $old_author . "', '" . $old_question . "', '" . $old_seo . "', '" . $old_answer . "', '" . $old_description . "', '" . $old_keywords . "', '" . $old_fields . "', now(), '" . $ipaddr . "', '" . $old_editadmin . "', '" . $input_reason . "')" );
		}
		
		if( is_array( $input_fields ) )
		{
			$input_fields_encoded = base64_encode( $system -> stripthis( $input_fields[ 0 ] ) );
			
			for( $i = 1; $i < 24; $i++ )
			{
				$input_fields_encoded .= "|";
				
				if( isset( $input_fields[ $i ] ) )
				{
					$input_fields_encoded .= base64_encode( $system -> stripthis( $input_fields[ $i ] ) );
				}
			}
		}
		else
		{
			$input_fields_encoded = "";
		}
		
		$input_fields = "";
		$input_knowledgebase_answer_parsed = stripslashes( $input_knowledgebase_answer );
		
		if( !$input_html )
		{
			$input_knowledgebase_answer_parsed = $system -> dechomp( $input_knowledgebase_answer_parsed );
		}
		else
		{
			$input_knowledgebase_answer_parsed = $system -> scriptex( $input_knowledgebase_answer_parsed );
		}
		
		if( $input_smilies )
		{
			$input_knowledgebase_answer_parsed = $system -> smilies( $input_knowledgebase_answer_parsed );
		}
		
		if( $input_blockcode )
		{
			$input_knowledgebase_answer_parsed = $system -> code( $input_knowledgebase_answer_parsed );
			$input_knowledgebase_answer_parsed = eregi_replace( "\\[attachment=([^\\[]+)\\]([^\\[]*)\\[/attachment\\]", "<a href=\"contentteller.php?ct=knowledgebase&amp;action=attachments&amp;id=\\1\">\\2</a>", $input_knowledgebase_answer_parsed );
			$input_knowledgebase_answer_parsed = eregi_replace( "\\[fullimage=([^\\[]+)\\]", "<img src=\"contentteller.php?ct=knowledgebase&amp;action=file&amp;id=\\1\" alt=\"\" />", $input_knowledgebase_answer_parsed );
			$input_knowledgebase_answer_parsed = eregi_replace( "\\[thumb=([^\\[]+)\\]", "<a href=\"contentteller" . $preferences[ 'param_ext' ] . $preferences[ 'param_ct' ] . "knowledgebase" . $preferences[ 'param_action' ] . "image" . $preferences[ 'param_page' ] . "\\1.html\" title=\"" . $words_knowledgebase[ 'CLICK_TO_ENLARGE' ] . "\"><img src=\"contentteller.php?ct=knowledgebase&amp;action=thumb&amp;id=\\1\" class=\"thumb\" alt=\"\" /></a>", $input_knowledgebase_answer_parsed );
		}
		
		$input_knowledgebase_answer_parsed = $database -> dbescape( $input_knowledgebase_answer_parsed );
		$input_knowledgebase_question = htmlspecialchars( $input_knowledgebase_question );
		
		if( $input_knowledgebase_tags )
		{
			$query = $database -> dbquery( "SELECT knowledgebase_tags FROM " . DB_PREFIX . "esselbach_ct_knowledgebase WHERE knowledgebase_id = '" . $input_zid . "'" );
			list( $knowledgebase_tags_old ) = $database -> dbrow( $query );
			$knowledgebase_tags_new = stripslashes( $input_knowledgebase_tags );
			
			if( $knowledgebase_tags_old != $knowledgebase_tags_new )
			{
				$knowledgebase_tags_old_array = explode( ",", $knowledgebase_tags_old );
				
				foreach( $knowledgebase_tags_old_array as $old_tag )
				{
					$query = $database -> dbquery( "SELECT knowledgebasetag_id FROM " . DB_PREFIX . "esselbach_ct_knowledgebasetags WHERE knowledgebasetag_tag = '" . $database -> dbescape( $old_tag ) . "' AND knowledgebasetag_website = '" . $input_website . "'" );
					
					if( $database -> dbrows( $query ) < 2 )
					{
						$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_knowledgebasestags WHERE knowledgebasetag_tag = '" . $database -> dbescape( $old_tag ) . "' AND knowledgebasetag_website = '" . $input_website . "'" );
					}
					else
					{
						$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_knowledgebasetags SET knowledgebasetag_count = knowledgebasetag_count - 1, knowledgebasetag_date = now() WHERE knowledgebasetag_tag = '" . $database -> dbescape( $old_tag ) . "' AND knowledgebasetag_website = '" . $input_website . "'" );
					}
				}
				
				$knowledgebase_tags_new_array = explode( ",", $knowledgebase_tags_new );
				
				foreach( $knowledgebase_tags_new_array as $new_tag )
				{
					$query = $database -> dbquery( "SELECT knowledgebasetag_id FROM " . DB_PREFIX . "esselbach_ct_knowledgebasetags WHERE knowledgebasetag_tag = '" . $database -> dbescape( $new_tag ) . "' AND knowledgebasetag_website = '" . $input_website . "'" );
					
					if( $database -> dbrows( $query ) )
					{
						$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_knowledgebasetags SET knowledgebasetag_count = knowledgebasetag_count + 1, knowledgebasetag_date = now() WHERE knowledgebasetag_tag = '" . $database -> dbescape( $new_tag ) . "' AND knowledgebasetag_website = '" . $input_website . "'" );
					}
					else
					{
						$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_knowledgebasetags (knowledgebasetag_id, knowledgebasetag_website, knowledgebasetag_tag, knowledgebasetag_seo, knowledgebasetag_count, knowledgebasetag_date) VALUES (NULL, '" . $input_website . "', '" . $database -> dbescape( $new_tag ) . "', '" . $system -> doseo( $database -> dbescape( $new_tag ) ) . "', '1', now())" );
					}
				}
			}
		}
		
		if( !$input_knowledgebase_seo )
		{
			$input_knowledgebase_seo = $input_knowledgebase_question;
		}
		
		$input_knowledgebase_seo = $system -> doseo( $input_knowledgebase_seo );
		$query = $database -> dbquery( "SELECT COUNT(knowledgebase_id) FROM " . DB_PREFIX . "esselbach_ct_knowledgebase WHERE knowledgebase_seo = '" . $input_knowledgebase_seo . "'" );
		list( $seo_entries ) = $database -> dbrow( $query );
		
		if( $seo_entries > 1 )
		{
			$input_knowledgebase_seo .= "_" . substr( md5( rand( 1, 32768 ) ), 1, 4 );
		}
		
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_knowledgebase SET knowledgebase_website = '" . $input_website . "', knowledgebase_category = '" . $input_category . "', knowledgebase_author = '" . $login_username . "', knowledgebase_question = '" . $input_knowledgebase_question . "', knowledgebase_seo = '" . $input_knowledgebase_seo . "', knowledgebase_rawanswer = '" . $input_knowledgebase_answer . "', knowledgebase_answer = '" . $input_knowledgebase_answer_parsed . "', knowledgebase_description = '" . $input_knowledgebase_description . "', knowledgebase_keywords = '" . $input_knowledgebase_keywords . "', knowledgebase_allowcomments = '" . $input_allow_comments . "', knowledgebase_fields = '" . $input_fields_encoded . "', knowledgebase_html = '" . $input_html . "', knowledgebase_smilies = '" . $input_smilies . "', knowledgebase_code = '" . $input_blockcode . "', knowledgebase_status = '" . $input_status . "', knowledgebase_password = '" . $input_password . "', knowledgebase_date = now(), knowledgebase_editip = '" . $ipaddr . "', knowledgebase_editadmin = '" . $login_username . "' WHERE knowledgebase_id = '" . $input_zid . "'" );
		$html -> login( $words_knowledgebase[ 'EDIT_ENTRY' ], $words_knowledgebase[ 'ENTRY_CHANGED' ], "index.php?action=manageknowledgebase" );
	}
}
?>